Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1360489

Summary: [RFE] Include more detailed help text when invoking hammer commands with --help
Product: Red Hat Satellite 6 Reporter: Craig Donnelly <cdonnell>
Component: HammerAssignee: satellite6-bugs <satellite6-bugs>
Status: CLOSED WONTFIX QA Contact: Katello QA List <katello-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1.9CC: mshira
Target Milestone: UnspecifiedKeywords: FutureFeature
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-04 19:13:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Craig Donnelly 2016-07-26 22:49:36 UTC
Description of problem:
Currently, there are many commands in hammer cli that return extremely generic help messages which do not actually help, or do not specify required options of a given command

Version-Release number of selected component (if applicable):
6.1.9

How reproducible:
100%

Steps to Reproduce:
One example would be:

hammer> content-view create
Could not create the content view:
  Error: Could not find organization, please set one of options --organization, --organization-label, --organization-id.
hammer> content-view create -h
Usage:
     content-view create [OPTIONS]

Options:
 --component-ids COMPONENT_IDS           List of component content view version ids for composite views
                                         Comma separated list of values.
 --composite                             Create a composite content view
 --description DESCRIPTION               Description for the content view
 --label LABEL                           Content view label
 --name NAME                             Name of the content view
 --organization ORGANIZATION_NAME        Organization name to search by
 --organization-id ORGANIZATION_ID       organization ID
 --organization-label ORGANIZATION_LABEL Organization label to search by
 --repositories REPOSITORY_NAMES         Comma separated list of values.
 --repository-ids REPOSITORY_IDS         repository ID
                                         Comma separated list of values.
 -h, --help                              print help
hammer> 

--organization, --organization-label, --organization-id should have descriptions that let the user know they are required to use the command.

--repositories should let us know that (truly) we need this to have a real, functional content-view.

The same situation applies to --composite and its relationship to --component-ids.

We basically need an overview of all help texts for hammer cli, or we need to link detailed documentation in this help output if we are going to choose to be blatantly non-specific.

Comment 1 Shira Maximov 2018-08-19 11:44:31 UTC
Created redmine issue https://projects.theforeman.org/issues/24655 from this bug

Comment 2 Bryan Kearney 2018-09-04 19:01:26 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 3 Bryan Kearney 2018-09-04 19:13:53 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.